<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:21 CEST 2019 -->
<title>FBConnectionPoolDataSource (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FBConnectionPoolDataSource (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html" title="class in org.firebirdsql.ds"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/ds/FBPooledConnection.html" title="class in org.firebirdsql.ds"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/ds/FBConnectionPoolDataSource.html" target="_top">Frames</a></li>
<li><a href="FBConnectionPoolDataSource.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.firebirdsql.ds.FBAbstractCommonDataSource">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.ds</div>
<h2 title="Class FBConnectionPoolDataSource" class="title">Class FBConnectionPoolDataSource</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../org/firebirdsql/ds/RootCommonDataSource.html" title="class in org.firebirdsql.ds">org.firebirdsql.ds.RootCommonDataSource</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html" title="class in org.firebirdsql.ds">org.firebirdsql.ds.FBAbstractCommonDataSource</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.ds.FBConnectionPoolDataSource</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/Referenceable.html?is-external=true" title="class or interface in javax.naming">Referenceable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/CommonDataSource.html?is-external=true" title="class or interface in javax.sql">CommonDataSource</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/ConnectionPoolDataSource.html?is-external=true" title="class or interface in javax.sql">ConnectionPoolDataSource</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html" title="interface in org.firebirdsql.jdbc">FirebirdConnectionProperties</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FBConnectionPoolDataSource</span>
extends <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html" title="class in org.firebirdsql.ds">FBAbstractCommonDataSource</a>
implements <a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/ConnectionPoolDataSource.html?is-external=true" title="class or interface in javax.sql">ConnectionPoolDataSource</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/Referenceable.html?is-external=true" title="class or interface in javax.naming">Referenceable</a></pre>
<div class="block">Bare-bones implementation of <a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/ConnectionPoolDataSource.html?is-external=true" title="class or interface in javax.sql"><code>ConnectionPoolDataSource</code></a>.
 <p>
 Please be aware that this is not a connectionpool. This class provides
 PooledConnection objects for connection pool implementations (eg as provided
 by a JEE application server). If you need a standalone connectionpool,
 consider using a connectionpool implementation like c3p0, BoneCP or DBCP.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.2</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.ds.FBAbstractCommonDataSource">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.firebirdsql.ds.<a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html" title="class in org.firebirdsql.ds">FBAbstractCommonDataSource</a></h3>
<code><a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#lock">lock</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#REF_DATABASE_NAME">REF_DATABASE_NAME</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#REF_DESCRIPTION">REF_DESCRIPTION</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#REF_PORT_NUMBER">REF_PORT_NUMBER</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#REF_PROPERTIES">REF_PROPERTIES</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#REF_SERVER_NAME">REF_SERVER_NAME</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/ds/FBConnectionPoolDataSource.html#FBConnectionPoolDataSource--">FBConnectionPoolDataSource</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/ds/FBConnectionPoolDataSource.html#checkNotStarted--">checkNotStarted</a></span>()</code>
<div class="block">Method to check if this DataSource has not yet started.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/PooledConnection.html?is-external=true" title="class or interface in javax.sql">PooledConnection</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/ds/FBConnectionPoolDataSource.html#getPooledConnection--">getPooledConnection</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/PooledConnection.html?is-external=true" title="class or interface in javax.sql">PooledConnection</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/ds/FBConnectionPoolDataSource.html#getPooledConnection-java.lang.String-java.lang.String-">getPooledConnection</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;user,
                   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/Reference.html?is-external=true" title="class or interface in javax.naming">Reference</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/ds/FBConnectionPoolDataSource.html#getReference--">getReference</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.ds.FBAbstractCommonDataSource">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.ds.<a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html" title="class in org.firebirdsql.ds">FBAbstractCommonDataSource</a></h3>
<code><a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getAuthPlugins--">getAuthPlugins</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getBlobBufferSize--">getBlobBufferSize</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getBuffersNumber--">getBuffersNumber</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getCharSet--">getCharSet</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getConnectionProperties--">getConnectionProperties</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getConnectTimeout--">getConnectTimeout</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getDatabase--">getDatabase</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getDatabaseName--">getDatabaseName</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getDatabaseParameterBuffer--">getDatabaseParameterBuffer</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getDbCryptConfig--">getDbCryptConfig</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getDefaultIsolation--">getDefaultIsolation</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getDefaultTransactionIsolation--">getDefaultTransactionIsolation</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getDescription--">getDescription</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getEncoding--">getEncoding</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getGeneratedKeysEnabled--">getGeneratedKeysEnabled</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getLoginTimeout--">getLoginTimeout</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getNonStandardProperty-java.lang.String-">getNonStandardProperty</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getPassword--">getPassword</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getPortNumber--">getPortNumber</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getRoleName--">getRoleName</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getServerName--">getServerName</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getSessionTimeZone--">getSessionTimeZone</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getSocketBufferSize--">getSocketBufferSize</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getSoTimeout--">getSoTimeout</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getSqlDialect--">getSqlDialect</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getTimeZoneBind--">getTimeZoneBind</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getTpbMapping--">getTpbMapping</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getTransactionParameters-int-">getTransactionParameters</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getType--">getType</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getUser--">getUser</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getUserName--">getUserName</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#getWireCrypt--">getWireCrypt</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#isDefaultResultSetHoldable--">isDefaultResultSetHoldable</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#isIgnoreProcedureType--">isIgnoreProcedureType</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#isTimestampUsesLocalTimezone--">isTimestampUsesLocalTimezone</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#isUseFirebirdAutocommit--">isUseFirebirdAutocommit</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#isUseStandardUdf--">isUseStandardUdf</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#isUseStreamBlobs--">isUseStreamBlobs</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setAuthPlugins-java.lang.String-">setAuthPlugins</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setBlobBufferSize-int-">setBlobBufferSize</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setBuffersNumber-int-">setBuffersNumber</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setCharSet-java.lang.String-">setCharSet</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setConnectionProperties-org.firebirdsql.jdbc.FBConnectionProperties-">setConnectionProperties</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setConnectTimeout-int-">setConnectTimeout</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setDatabase--">setDatabase</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setDatabase-java.lang.String-">setDatabase</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setDatabaseName-java.lang.String-">setDatabaseName</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setDbCryptConfig-java.lang.String-">setDbCryptConfig</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setDefaultIsolation-java.lang.String-">setDefaultIsolation</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setDefaultResultSetHoldable-boolean-">setDefaultResultSetHoldable</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setDefaultTransactionIsolation-int-">setDefaultTransactionIsolation</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setDescription-java.lang.String-">setDescription</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setEncoding-java.lang.String-">setEncoding</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setGeneratedKeysEnabled-java.lang.String-">setGeneratedKeysEnabled</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setIgnoreProcedureType-boolean-">setIgnoreProcedureType</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setLoginTimeout-int-">setLoginTimeout</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setNonStandardProperty-java.lang.String-">setNonStandardProperty</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setNonStandardProperty-java.lang.String-java.lang.String-">setNonStandardProperty</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setPassword-java.lang.String-">setPassword</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setPortNumber-int-">setPortNumber</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setRoleName-java.lang.String-">setRoleName</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setServerName-java.lang.String-">setServerName</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setSessionTimeZone-java.lang.String-">setSessionTimeZone</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setSocketBufferSize-int-">setSocketBufferSize</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setSoTimeout-int-">setSoTimeout</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setSqlDialect-java.lang.String-">setSqlDialect</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setTimestampUsesLocalTimezone-boolean-">setTimestampUsesLocalTimezone</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setTimeZoneBind-java.lang.String-">setTimeZoneBind</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setTpbMapping-java.lang.String-">setTpbMapping</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setTransactionParameters-int-org.firebirdsql.gds.TransactionParameterBuffer-">setTransactionParameters</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setType-java.lang.String-">setType</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setUseFirebirdAutocommit-boolean-">setUseFirebirdAutocommit</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setUser-java.lang.String-">setUser</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setUserName-java.lang.String-">setUserName</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setUseStandardUdf-boolean-">setUseStandardUdf</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setUseStreamBlobs-boolean-">setUseStreamBlobs</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#setWireCrypt-java.lang.String-">setWireCrypt</a>, <a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#updateReference-javax.naming.Reference-org.firebirdsql.ds.FBAbstractCommonDataSource-">updateReference</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.ds.RootCommonDataSource">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.ds.<a href="../../../org/firebirdsql/ds/RootCommonDataSource.html" title="class in org.firebirdsql.ds">RootCommonDataSource</a></h3>
<code><a href="../../../org/firebirdsql/ds/RootCommonDataSource.html#getLogWriter--">getLogWriter</a>, <a href="../../../org/firebirdsql/ds/RootCommonDataSource.html#getParentLogger--">getParentLogger</a>, <a href="../../../org/firebirdsql/ds/RootCommonDataSource.html#setLogWriter-java.io.PrintWriter-">setLogWriter</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.javax.sql.CommonDataSource">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;javax.sql.<a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/CommonDataSource.html?is-external=true" title="class or interface in javax.sql">CommonDataSource</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/CommonDataSource.html?is-external=true#getLoginTimeout--" title="class or interface in javax.sql">getLoginTimeout</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/CommonDataSource.html?is-external=true#getLogWriter--" title="class or interface in javax.sql">getLogWriter</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/CommonDataSource.html?is-external=true#getParentLogger--" title="class or interface in javax.sql">getParentLogger</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/CommonDataSource.html?is-external=true#setLoginTimeout-int-" title="class or interface in javax.sql">setLoginTimeout</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/CommonDataSource.html?is-external=true#setLogWriter-java.io.PrintWriter-" title="class or interface in javax.sql">setLogWriter</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FBConnectionPoolDataSource--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FBConnectionPoolDataSource</h4>
<pre>public&nbsp;FBConnectionPoolDataSource()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getPooledConnection--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPooledConnection</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/PooledConnection.html?is-external=true" title="class or interface in javax.sql">PooledConnection</a>&nbsp;getPooledConnection()
                                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/ConnectionPoolDataSource.html?is-external=true#getPooledConnection--" title="class or interface in javax.sql">getPooledConnection</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/ConnectionPoolDataSource.html?is-external=true" title="class or interface in javax.sql">ConnectionPoolDataSource</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getPooledConnection-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPooledConnection</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/PooledConnection.html?is-external=true" title="class or interface in javax.sql">PooledConnection</a>&nbsp;getPooledConnection(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;user,
                                            <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)
                                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/ConnectionPoolDataSource.html?is-external=true#getPooledConnection-java.lang.String-java.lang.String-" title="class or interface in javax.sql">getPooledConnection</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/ConnectionPoolDataSource.html?is-external=true" title="class or interface in javax.sql">ConnectionPoolDataSource</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="checkNotStarted--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkNotStarted</h4>
<pre>protected&nbsp;void&nbsp;checkNotStarted()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#checkNotStarted--">FBAbstractCommonDataSource</a></code></span></div>
<div class="block">Method to check if this DataSource has not yet started.
 <p>
 Implementations should throw IllegalStateException when the DataSource is
 already in use and modifying properties is not allowed.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html#checkNotStarted--">checkNotStarted</a></code>&nbsp;in class&nbsp;<code><a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html" title="class in org.firebirdsql.ds">FBAbstractCommonDataSource</a></code></dd>
</dl>
</li>
</ul>
<a name="getReference--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getReference</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/Reference.html?is-external=true" title="class or interface in javax.naming">Reference</a>&nbsp;getReference()
                       throws <a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/NamingException.html?is-external=true" title="class or interface in javax.naming">NamingException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/Referenceable.html?is-external=true#getReference--" title="class or interface in javax.naming">getReference</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/Referenceable.html?is-external=true" title="class or interface in javax.naming">Referenceable</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/NamingException.html?is-external=true" title="class or interface in javax.naming">NamingException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/ds/FBAbstractCommonDataSource.html" title="class in org.firebirdsql.ds"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/ds/FBPooledConnection.html" title="class in org.firebirdsql.ds"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/ds/FBConnectionPoolDataSource.html" target="_top">Frames</a></li>
<li><a href="FBConnectionPoolDataSource.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.firebirdsql.ds.FBAbstractCommonDataSource">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
